> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# DNSレコードを一覧表示

> 標準のページネーションエンベロープを使用して顧客DNSレコードを一覧表示します。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json GET /v1/public/accounts/{account_id}/dns-records
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dns-records:
    get:
      tags:
        - public-accounts
        - public-dns-records
      summary: DNSレコードを一覧表示
      description: 標準のページネーションエンベロープを使用して顧客DNSレコードを一覧表示します。
      operationId: list_public_dns_records_v1_public_accounts__account_id__dns_records_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: domain
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Domain
        - in: query
          name: name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - in: query
          name: type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Type
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DnsRecordListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DnsRecordListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DnsRecordResponse'
          title: 項目
          type: array
        page:
          title: ページ
          type: integer
        page_size:
          title: ページサイズ
          type: integer
        total:
          title: 合計
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: DnsRecordListレスポンス
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    DnsRecordResponse:
      properties:
        id:
          title: ID
          type: integer
        is_system_managed:
          default: false
          title: システム管理対象
          type: boolean
        name:
          title: 名前
          type: string
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          title: 優先度
        ttl:
          title: TTL
          type: integer
        type:
          title: 種類
          type: string
        value:
          title: 値
          type: string
      required:
        - id
        - type
        - name
        - value
        - ttl
      title: DnsRecordレスポンス
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````